/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGBitmapContext;

import dstep.applicationservices.coregraphics.CGBase;
import dstep.applicationservices.coregraphics.CGColorSpace;
import dstep.applicationservices.coregraphics.CGImage;
import dstep.applicationservices.coregraphics.CGContext;

extern (C)
{
	CGContextRef CGBitmapContextCreate (void* data, uint width, uint height, uint bitsPerComponent, uint bytesPerRow, CGColorSpaceRef colorspace, uint bitmapInfo);
	void* CGBitmapContextGetData (CGContextRef c);
	uint CGBitmapContextGetWidth (CGContextRef c);
	uint CGBitmapContextGetHeight (CGContextRef c);
	uint CGBitmapContextGetBitsPerComponent (CGContextRef c);
	uint CGBitmapContextGetBitsPerPixel (CGContextRef c);
	uint CGBitmapContextGetBytesPerRow (CGContextRef c);
	CGColorSpaceRef CGBitmapContextGetColorSpace (CGContextRef c);
	int CGBitmapContextGetAlphaInfo (CGContextRef c);
	uint CGBitmapContextGetBitmapInfo (CGContextRef c);
	CGImageRef CGBitmapContextCreateImage (CGContextRef c);
}