/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 12, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.corefoundation.CFByteOrder;

import dstep.corefoundation.CFBase;
//import dstep.libkern.OSByteOrder;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc : id;

enum __CFByteOrder 
{
	CFByteOrderUnknown,
	CFByteOrderLittleEndian,
	CFByteOrderBigEndian
}

struct CFSwappedFloat32
{
	uint v;
}


struct CFSwappedFloat64
{
	ulong v;
}

