/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.cfnetwork.CFNetDiagnostics;

//import dstep.Availability;
import dstep.coreservices.cfnetwork.CFNetworkDefs;
import dstep.corefoundation.CoreFoundation;
//import dstep.stdint;

struct __CFNetDiagnostic;

alias __CFNetDiagnostic* CFNetDiagnosticRef;
alias int CFNetDiagnosticStatusValues;
alias int CFNetDiagnosticStatus;

enum /*CFNetDiagnosticStatusValues*/ 
{
	kCFNetDiagnosticNoErr = 0,
	kCFNetDiagnosticErr = -66560L,
	kCFNetDiagnosticConnectionUp = -66559L,
	kCFNetDiagnosticConnectionIndeterminate = -66558L,
	kCFNetDiagnosticConnectionDown = -66557L
}

extern (C)
{
	CFNetDiagnosticRef CFNetDiagnosticCreateWithStreams (CFAllocatorRef alloc, CFReadStreamRef readStream, CFWriteStreamRef writeStream);
	CFNetDiagnosticRef CFNetDiagnosticCreateWithURL (CFAllocatorRef alloc, CFURLRef url);
	void CFNetDiagnosticSetName (CFNetDiagnosticRef details, CFStringRef name);
	int CFNetDiagnosticDiagnoseProblemInteractively (CFNetDiagnosticRef details);
	int CFNetDiagnosticCopyNetworkStatusPassively (CFNetDiagnosticRef details, CFStringRef* description);
}