/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.dictionaryservices.DictionaryServices;

public:

import dstep.corefoundation.CoreFoundation;

struct __DCSDictionary;

alias __DCSDictionary* DCSDictionaryRef;

extern (C)
{
	CFRange DCSGetTermRangeInString (DCSDictionaryRef dictionary, CFStringRef textString, int offset);
	CFStringRef DCSCopyTextDefinition (DCSDictionaryRef dictionary, CFStringRef textString, CFRange range);
}