/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGWindowLevel;

alias int CGWindowLevel;
alias int CGWindowLevelKey;

enum _CGCommonWindowLevelKey 
{
	kCGBaseWindowLevelKey = 0,
	kCGMinimumWindowLevelKey,
	kCGDesktopWindowLevelKey,
	kCGBackstopMenuLevelKey,
	kCGNormalWindowLevelKey,
	kCGFloatingWindowLevelKey,
	kCGTornOffMenuWindowLevelKey,
	kCGDockWindowLevelKey,
	kCGMainMenuWindowLevelKey,
	kCGStatusWindowLevelKey,
	kCGModalPanelWindowLevelKey,
	kCGPopUpMenuWindowLevelKey,
	kCGDraggingWindowLevelKey,
	kCGScreenSaverWindowLevelKey,
	kCGMaximumWindowLevelKey,
	kCGOverlayWindowLevelKey,
	kCGHelpWindowLevelKey,
	kCGUtilityWindowLevelKey,
	kCGDesktopIconWindowLevelKey,
	kCGCursorWindowLevelKey,
	kCGAssistiveTechHighWindowLevelKey,
	kCGNumberOfWindowLevelKeys
}

extern (C)
{
	int CGWindowLevelForKey (int key);
}